Preferences (Groovy 5.0.0)

Package: org.codehaus.groovy.tools.shell.util

## [Java] Class Preferences

- org.codehaus.groovy.tools.shell.util.Preferences

-     public class Preferences
      extends Object

  Container for shell preferences.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `EDITOR_KEY` |
    `static String` | `PARSER_FLAVOR_KEY` |
    `static String` | `PARSER_RELAXED` |
    `static String` | `PARSER_RIGID` |
    `static String` | `SANITIZE_STACK_TRACE_KEY` |
    `static String` | `SHOW_LAST_RESULT_KEY` |
    `static String` | `VERBOSITY_KEY` |
    `static Verbosity` | `verbosity` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static void` | `addChangeListener(PreferenceChangeListener listener)`
    `` | `public static void` | `clear()`
    `` | `public static String` | `get(String name, String defaultValue)`
    `` | `public static String` | `get(String name)`
    `` | `public static String` | `getEditor()`
    `` | `public static String` | `getParserFlavor()`
    `` | `public static boolean` | `getSanitizeStackTrace()`
    `` | `public static boolean` | `getShowLastResult()`
    `` | `public static String[]` | `keys()`
    `` | `public void` | `preferenceChange(PreferenceChangeEvent event)`
    `` | `public static void` | `put(String name, String value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final String EDITOR_KEY

    - #### public static final String PARSER_FLAVOR_KEY

    - #### public static final String PARSER_RELAXED

    - #### public static final String PARSER_RIGID

    - #### public static final String SANITIZE_STACK_TRACE_KEY

    - #### public static final String SHOW_LAST_RESULT_KEY

    - #### public static final String VERBOSITY_KEY

    - #### public static Verbosity verbosity

  - ### Method Detail

    - #### public static void addChangeListener(PreferenceChangeListener listener)

    - #### public static void clear()

    - #### public static String get(String name, String defaultValue)

    - #### public static String get(String name)

    - #### public static String getEditor()

    - #### public static String getParserFlavor()

    - #### public static boolean getSanitizeStackTrace()

    - #### public static boolean getShowLastResult()

    - #### public static String[] keys()

    - #### @Override
      public void preferenceChange(PreferenceChangeEvent event)

    - #### public static void put(String name, String value)